(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    268624,       7554]*)
(*NotebookOutlinePosition[    269428,       7581]*)
(*  CellTagsIndexPosition[    269384,       7577]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[{
  StyleBox["(*",
    FontFamily->"Courier New",
    FontSize->16],
  StyleBox["\n",
    FontSize->24,
    FontWeight->"Bold"],
  StyleBox["Alcune Funzioni Matematiche",
    FontSize->24,
    FontColor->RGBColor[1, 0, 0]],
  "\n",
  StyleBox["la radice quadrata di x\nSqrt[x]\n\nla funzione esponenziale\n\
Exp[x]\n\n",
    FontSize->16],
  StyleBox["i",
    FontSize->16,
    FontWeight->"Bold"],
  StyleBox["l logaritmo naturale\nLog[x]\n\n",
    FontSize->16],
  StyleBox["i",
    FontSize->16,
    FontWeight->"Bold"],
  StyleBox["l logaritmo in base b di x\nLog[b, x]\n\n",
    FontSize->16],
  StyleBox["l",
    FontSize->16,
    FontWeight->"Bold"],
  StyleBox["e funzioni trigonometriche\nSin[x], Cos[x], Tan[x]\n\n",
    FontSize->16],
  StyleBox["i",
    FontSize->16,
    FontWeight->"Bold"],
  StyleBox["l  fattoriale\nn!\n\nil valore assoluto\nAbs[x]\n\n",
    FontSize->16],
  StyleBox["Nota bene:",
    FontSize->16,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox[" L'argomento delle Funzioni \[EGrave] tra parentesi quadre, ed il \
 nome inizia con la lettera maiuscola.\n*)",
    FontSize->16]
}], "Input",
  PageWidth->WindowWidth,
  CellDingbat->None,
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  TextJustification->0,
  DefaultNaturalLanguage->"Italian",
  ImageSize->{357, 216},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  StyleBox["(*",
    FontSize->16,
    FontWeight->"Bold"],
  StyleBox["\n",
    FontSize->24,
    FontWeight->"Bold"],
  StyleBox["Operatori Logici\n",
    FontFamily->"Courier New",
    FontSize->24,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["uguale",
    FontFamily->"Courier New",
    FontSize->16],
  StyleBox["\n",
    FontFamily->"Courier New",
    FontSize->16,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["x==y\n\ndiverso\nx != Y\n\nmaggiore\nx > y\n\nmaggiore uguale\nx \
>= y\n\nminore\nx < y\n\n",
    FontFamily->"Courier New",
    FontSize->16],
  StyleBox["minore uguale\nx <= y",
    FontFamily->"Courier New",
    FontSize->16],
  StyleBox["\n*)",
    FontFamily->"Courier New",
    FontSize->16]
}], "Input",
  PageWidth->WindowWidth,
  CellDingbat->None,
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  TextJustification->0,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      StyleBox["(*",
        AutoIndent->False,
        FontSize->16], "\n", 
      RowBox[{
        RowBox[{
          StyleBox["Calcolo",
            FontFamily->"Courier New",
            FontSize->24,
            FontColor->RGBColor[1, 0, 0]], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->24,
            FontColor->RGBColor[1, 0, 0]], 
          StyleBox["simbolico",
            FontFamily->"Courier New",
            FontSize->24,
            FontColor->RGBColor[1, 0, 0]], "\n", 
          StyleBox["svolge",
            FontFamily->"Courier New"], 
          StyleBox[" ",
            FontFamily->"Courier New"], 
          StyleBox["prodotti",
            FontFamily->"Courier New"], 
          StyleBox[" ",
            FontFamily->"Courier New"], 
          StyleBox["e",
            FontFamily->"Courier New"], 
          StyleBox[" ",
            FontFamily->"Courier New"], 
          StyleBox["potenze",
            FontFamily->"Courier New"], "\n", 
          StyleBox[\(Expand[espr]\),
            FontFamily->"Courier New"], "\n", "\n", 
          StyleBox["riduce",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["a",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["minimo",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["prodotto",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["di",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["termini",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Factor[espr]\),
            FontSize->16], "\n", "\n", 
          StyleBox["trova",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["la",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["forma",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["pi\[UGrave]",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["semplificata",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["di",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(un'\),
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["espressione",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Simplify[espr]\),
            FontSize->16], "\n", "\n", 
          StyleBox["da",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(l'\),
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["esponente",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["massimo",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["della",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["variabili",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Exponent[espr, \ variabile]\),
            FontSize->16], "\n", "\n", 
          StyleBox["da",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["il",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["coefficiente",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["del",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["monomio",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Coefficient[espr, \ monomio]\),
            FontSize->16], "\n", "\n", 
          StyleBox["da",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["il",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["  ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["coefficiente",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["della",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(x^n\),
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Coefficient[espr, \ variabile, \ n]\),
            FontSize->16], "\n", "\n", 
          StyleBox["da",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["il",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["numeratore",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["di",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["una",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["  ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["espressione",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Numerator[expr]\),
            FontSize->16], "\n", "\n", 
          StyleBox[
            RowBox[{
              StyleBox["d",
                FontSize->16], 
              StyleBox["a",
                FontFamily->"Courier New",
                FontSize->16]}]], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["il",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["denominatore",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["di",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["una",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["espressione",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Denominator[expr]\),
            FontSize->16], "\n", "\n", 
          StyleBox["da",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["il",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["numero",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["di",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["termini",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(dell'\),
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["espressione",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Length[expr]\),
            FontSize->16], "\n", "\n", 
          StyleBox["scrive",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(l'\),
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["espressione",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["in",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["pi\[UGrave]",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["variabili",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["come",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["se",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["fosse",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["nella",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox["sola",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["variabile",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["indicata",
            FontFamily->"Courier New",
            FontSize->16], "\n", 
          StyleBox[\(Collect[expr, \ variabile]\),
            FontSize->16], "\n", "\n", 
          StyleBox["Risponde",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["vero",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["se",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["il",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["denominatore",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["di",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["x",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["\[EGrave]",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["un",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["numero",
            FontSize->16]}], 
        StyleBox[",",
          FontSize->16], 
        StyleBox[" ",
          FontSize->16], 
        RowBox[{
          StyleBox["falso",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["se",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["il",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["denominatore",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["di",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["x",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["non",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["\[EGrave]",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["un",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["numero",
            FontSize->16], "\n", 
          StyleBox[\(NumberQ[Denominator[x]]\),
            FontSize->16], "\n", "\n", 
          StyleBox["equivalentemente",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["a",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["\"\<x1&&x2&&x3&&...&&xn\>\"",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], 
        StyleBox[",",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[" ",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[\(risponde\ vero\ se\ x1\),
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[",",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox["...",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[",",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[\(xn\ sono\ tutte\ vere\),
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[",",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[\(falso\ se\ una\ di\ esse\ \[EGrave]\ falsa\n
          And[x1, x2,  ... , xn]\n\n
          risponde\ vero\ se\ la\ x\ non\ \[EGrave]\ presente\ in\ expr\),
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[",",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[" ",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[\(falso\ se\ x\ \[EGrave]\ presente\n
          FreeQ[expr, x]\),
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}]}], "\[IndentingNewLine]", 
      StyleBox["*)",
        FontSize->16]}]], "Input",
  PageWidth->WindowWidth,
  CellDingbat->None,
  CellMargins->{{45, Inherited}, {Inherited, Inherited}},
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  TextJustification->0,
  DefaultNaturalLanguage->"Italian",
  FontFamily->"Courier New",
  FontSize->16,
  Background->GrayLevel[0.900008],
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  StyleBox["(*",
    FontSize->16],
  StyleBox["\n",
    FontSize->24],
  StyleBox["Liste",
    FontSize->24,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["\n",
    FontSize->36,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["\[EGrave] il modo di definire una lista",
    FontSize->16],
  StyleBox["\n",
    FontSize->16,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["l:={a, b, c, d}\n\nda l'i-simo elemento della lista\nl[[i]]\n\nda \
gli  elementi i-simo, j-simo etc. della lista\nl[[{i, j, ...}]]\n\nda una \
lista di imax valori di f\nTable[f, {imax}]\n\nda una lista dei valori di f \
con i che varia fino ad imax\nTable[f, {i, imax}]\n\nda una lista dei valori \
di f da imin ad imax\nTable[f, {i, imin, imax}]\n\nil numero di elementi di l\
\nLength[l]\n\nda sotto forma di lista le variabili di espr\nVariables[espr]\n\
\napplica il comando f alla lista\nApply[f, {a,b,c}]\n\n",
    FontSize->16],
  StyleBox["fornisce la lista {f[a],f[b],f[c]}\nMap[f, {a,b,c}]\n",
    FontFamily->"Courier New",
    FontSize->16],
  StyleBox["*)",
    FontSize->16]
}], "Input",
  PageWidth->WindowWidth,
  CellDingbat->None,
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  TextJustification->0,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      StyleBox["(*",
        FontSize->16,
        FontWeight->"Bold"], "\n", 
      RowBox[{
        RowBox[{
          StyleBox["Alcune",
            FontSize->24,
            FontWeight->"Bold",
            FontColor->RGBColor[1, 0, 0]], 
          StyleBox[" ",
            FontSize->24,
            FontWeight->"Bold",
            FontColor->RGBColor[1, 0, 0]], 
          StyleBox["Procedure",
            FontSize->24,
            FontWeight->"Bold",
            FontColor->RGBColor[1, 0, 0]], "\n", "\n", 
          StyleBox["esegue",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[\(l'\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["azione",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["fino",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["a",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["quando",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["la",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["condizione",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["\[EGrave]",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["soddisfatta",
            FontSize->16,
            FontWeight->"Bold"], "\n", 
          StyleBox[\(While[condizione, \ azione]\),
            FontSize->16,
            FontWeight->"Bold"], "\n", "\n", 
          StyleBox["esegue",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[\(l'\),
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["azione",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["per",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["i",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["che",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["va",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox["da",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["imin",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["ad",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["imax",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], "\n", 
          StyleBox[\(Do[azione, \ {i, \ imin, imax}]\),
            FontSize->16,
            FontWeight->"Bold"], "\n", "\n", 
          StyleBox["se",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["\[EGrave]",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["verificata",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["la",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["condizione",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["esegue",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[\(l'\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["azione",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]]}], 
        StyleBox[",",
          FontSize->16,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
        StyleBox[" ",
          FontSize->16,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]], 
        RowBox[{
          StyleBox[\(s  e\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["non",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["\[EGrave]",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["verificata",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["esegue",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[\(l'\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["alternativa",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], "\n", 
          StyleBox[\(If[condizione, \ azione, \ alternativa]\),
            FontSize->16,
            FontWeight->"Bold"], "\n", "\n", 
          StyleBox["per",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["scrivere",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox[\(l'\),
            FontSize->16], 
          StyleBox["algoritmo",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["in",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["forma",
            FontSize->16], 
          StyleBox[" ",
            FontSize->16], 
          StyleBox["funzionale",
            FontSize->16], "\n", 
          
          StyleBox[\(Block[{condizioni\ iniziali, \ 
                variabili\ che\ compaiono\ \ nell' algoritmo}, \ azione]\),
            FontSize->16,
            FontWeight->"Bold"]}]}], "\[IndentingNewLine]", 
      StyleBox["*)",
        FontSize->16]}]], "Input",
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16,
          FontWeight->"Bold"], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["MCLex",
                  FontFamily->"Courier New",
                  FontSize->24,
                  FontColor->RGBColor[0.996109, 0, 0]], "\n", 
                RowBox[{
                  StyleBox["L",
                    FontSize->16,
                    FontWeight->"Bold"], 
                  StyleBox["'",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]]}], 
                StyleBox["algoritmo",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["MCLex",
                  FontFamily->"Courier New",
                  FontSize->16], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["consente",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["di",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["individuare",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["il",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["monomio",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["conduttore",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["di",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["un",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["polinomio",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[\(nell'\),
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["ordinamento",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                RowBox[{
                  StyleBox["lessicografico",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]], 
                  StyleBox[".",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]], "\[IndentingNewLine]", "\n", 
                  StyleBox[\(Input : \ f\),
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]]}]}], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]], 
              StyleBox["=",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]], 
              StyleBox["polinomio",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]]}], 
            StyleBox[";",
              FontSize->16,
              FontWeight->"Bold",
              FontColor->GrayLevel[0]], 
            StyleBox[" ",
              FontSize->16,
              FontWeight->"Bold",
              FontColor->GrayLevel[0]], 
            RowBox[{
              StyleBox["v",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]], 
              StyleBox["=",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold",
                FontColor->GrayLevel[0]], 
              RowBox[{
                StyleBox["lista",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox["delle",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->GrayLevel[0]], 
                RowBox[{
                  StyleBox["indeterminate",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]], 
                  StyleBox[".",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]], "\n", "\n", 
                  StyleBox["Nota",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->RGBColor[1, 0, 0]]}], 
                StyleBox[" ",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontColor->RGBColor[1, 0, 0]], 
                RowBox[{
                  StyleBox["Bene",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->RGBColor[1, 0, 0]], 
                  StyleBox[":",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]], 
                  StyleBox[" ",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]], 
                  
                  StyleBox[\(il\ comando\ Automatic\ si\ usa\ quando\ sono\ \
contemplate\ due\ possibilit\[AGrave]\),
                    FontSize->16,
                    FontWeight->"Bold",
                    FontColor->GrayLevel[0]]}]}]}]}], 
          StyleBox[",",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          
          StyleBox[\(una\ relativa\ a\ un' 
              indicazione\ specifica\ e\ una\ \ relativa\ all' 
              assenza\ di\ indicazioni\ specifiche . \ Nel\ caso\ dell' 
              algoritmo\ MCLex\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[",",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[\(ad\ esempio\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[",",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[\(assenza\ di\ indicazioni\ specifiche\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[",",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          
          StyleBox[\(tutte\ le\ lettere\ \ che\ compaiono\ nel\ polinomio\ f\ \
vengono\ considerate\ come\ indeterminate; \ 
            in\ presenza\ di\ un' indicazione\ specifica\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[",",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox["invece",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[",",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]], 
          
          StyleBox[\(vengono\ considerate\ come\ indeterminate\ del\ \
polinomio\ f\ solo\ quelle\ che\ sono\ indicate\ nella\ lista\ \(\(v\)\(.\)\)\
\),
            FontSize->16,
            FontWeight->"Bold",
            FontColor->GrayLevel[0]]}], "\n", 
        StyleBox["*)",
          FontSize->16,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]]}], "\n", 
      StyleBox["\n",
        FontSize->16,
        FontColor->GrayLevel[0]], 
      StyleBox[\(MCLex[f_, v_:  Automatic] := 
          Block[{m = 1, c = f, V, i}, 
            If[v === Automatic, V = Variables[f], 
              V = v]; \[IndentingNewLine]Do[c = Collect[c, V[\([i]\)]]; 
              m = m*V[\([i]\)]^Exponent[c, V[\([i]\)]]; 
              c = Coefficient[c, V[\([i]\)], Exponent[c, V[\([i]\)]]], {i, 
                Length[V]}]; c*m]\),
        FontSize->16,
        FontColor->GrayLevel[0],
        Background->GrayLevel[1]]}]], "Input",
  PageWidth->WindowWidth,
  CellDingbat->None,
  CellMargins->{{Inherited, 0}, {Inherited, Inherited}},
  CellSize->{3155, Inherited},
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  TextJustification->0,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["MCGrlex",
                FontFamily->"Courier New",
                FontSize->24,
                FontColor->RGBColor[0.996109, 0, 0]], 
              StyleBox["\n",
                FontSize->16,
                FontWeight->"Bold"], "\n", 
              StyleBox[\(L'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["MCGrlex",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["consente",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["individuare",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["il",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["monomio",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["conduttore",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["un",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["polinomio",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[\(nell'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["ordinamento",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["lessicografico",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["graduato",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                StyleBox[\(Input : \ f\),
                  FontSize->16,
                  FontWeight->"Bold"]}]}], 
            StyleBox[" ",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox["=",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox[" ",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox["polinomio",
              FontSize->16,
              FontWeight->"Bold"]}], 
          StyleBox[";",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontSize->16,
            FontWeight->"Bold"]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
      StyleBox[\(MCGrlex[f_, v_:  Automatic] := 
          Block[{g = f, i, k, V}, 
            If[v === Automatic, V = Variables[f], 
              V = v]; \[IndentingNewLine]Do[
              g = g /. V[\([i]\)] \[Rule] k*V[\([i]\)], {i, 1, Length[V]}]; 
            g = Collect[g, k]; \[IndentingNewLine]g = 
              Coefficient[g, k, Exponent[g, k]]; MCLex[g, V]]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["MCGrevlex",
                FontFamily->"Courier New",
                FontSize->24,
                FontColor->RGBColor[0.996109, 0, 0]], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["MCGrevlex",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["individuare",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["il",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["monomio",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["conduttore",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["polinomio",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(nell'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ordinamento",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["lessicografico",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(g  raduato\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox["inverso",
                  FontFamily->"Courier New",
                  FontSize->16], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16], "\n", "\n", 
                StyleBox[\(Input : \ f\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["polinomio",
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["  ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], "\[IndentingNewLine]", 
      StyleBox["\[IndentingNewLine]",
        FontSize->16], 
      StyleBox[\(MCGrevlex[f_, v_:  Automatic] := 
          Block[{g = f, V, k, i, j, esp, L}, 
            If[v === Automatic, V = Variables[f], V = v]; n = Length[V]; 
            Do[g = g /. V[\([i]\)] \[Rule] k*V[\([i]\)], {i, 1, n}]; 
            g = Collect[g, k]; g = Coefficient[g, k, Exponent[g, k]]; 
            Do[j = n - i + 1; esp = \(-1\); L = 0; 
              g = Collect[g, V[\([j]\)]]; \[IndentingNewLine]While[
                L === 0, \(esp++\); L = Coefficient[g, V[\([j]\)], esp]]; 
              g = L*V[\([j]\)]^esp, {i, 1, n}]; g]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            StyleBox["FreeTest",
              FontFamily->"Courier New",
              FontSize->24,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->RGBColor[0.996109, 0, 0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], "\n", \(L'\), 
            StyleBox["algoritmo",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["FreeTest",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["d\[AGrave]",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["come",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["risposta",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["True",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["se",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["nessuna",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["delle",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["indeterminate",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["della",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["lista",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["v",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["compare",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[\(nell'\),
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["espressione",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["data",
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[",",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          
          StyleBox[\(d\[AGrave]\ come\ risposta\ \ False\ se\ almeno\ una\ \
delle\ indeterminate\ della\ lista\ v\ compare\ nell' 
                espressione\ data . \n\n\(Input : \ expr\)\  = \ 
              espressione; \ 
            v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(FreeTest[expr_, v_] := 
          Block[{}, Apply[And, Map[FreeQ[expr, #] &, v]]]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          StyleBox["ListOrd",
            FontFamily->"Courier New",
            FontSize->24,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->RGBColor[0.996109, 0, 0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], "\n", 
          StyleBox["La",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["lista",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["ListOrd",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["riporta",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(l'\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["ordinamento",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["vigente",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["in",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["un",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["dato",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["momento",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["e",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["il",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["corrispondente",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["algoritmo",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["per",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["la",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["ricerca",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["del",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["monomio",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(\(conduttore\)\(.\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontFamily->"Courier New",
          FontSize->16]}], "\n", 
      StyleBox["\n",
        FontFamily->"Courier New",
        FontSize->16,
        FontWeight->"Bold",
        FontSlant->"Plain",
        FontColor->GrayLevel[0],
        FontVariations->{"Underline"->False,
        "StrikeThrough"->False}], 
      StyleBox[\(ListOrd = {Lex, MCLex}\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["RidPol",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["RidPol",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["esegue",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["la",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["riduzione",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["polinomio",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["modulo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["insieme",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["polinomi",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox[\((algoritmo\ della\ divisione)\),
                  FontFamily->"Courier New",
                  FontSize->16], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16], "\n", "\n", 
                StyleBox[\(Input : \ f\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[\(polinomio\ dividendo\),
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(l\  = \ lista\ dei\ divisori\),
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["\n",
            FontFamily->"Courier New",
            FontSize->16], 
          RowBox[{
            StyleBox["v",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            RowBox[{
              RowBox[{
                StyleBox["lista",
                  FontFamily->"Courier New",
                  FontSize->16], 
                StyleBox[" ",
                  FontFamily->"Courier New",
                  FontSize->16], 
                StyleBox["delle",
                  FontFamily->"Courier New",
                  FontSize->16], 
                StyleBox[" ",
                  FontFamily->"Courier New",
                  FontSize->16], 
                RowBox[{
                  StyleBox["indeterminate",
                    FontFamily->"Courier New",
                    FontSize->16], 
                  StyleBox[".",
                    FontFamily->"Courier New",
                    FontSize->16], "\n", "\n", 
                  StyleBox[\(Output : \ a\),
                    FontFamily->"Courier New",
                    FontSize->16]}]}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["=",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(lista\ dei\ quozienti\),
                FontFamily->"Courier New",
                FontSize->16]}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(r\  = \ \(\(resto\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
      StyleBox[\(RidPol[f_, l_, v_:  Automatic] := 
          Block[{p = f, r = 0, a, i, dv, DIV, V}, MC = ListOrd[\([2]\)]; 
            Var = Variables[Append[l, f]]; \n
            If[v === Automatic, V = Var; DIV = NumberQ, V = v; \n
              If[Apply[And, Map[MemberQ[V, #] &, Var]], DIV = NumberQ, 
                DIV = FreeTest[#, V] &]]; \na = Table[0, {Length[l]}]; \n
            While[\(! p === 0\), lt = MC[p, V]; i = 1; dv = False; \n
              While[i \[LessEqual] Length[l] && \(! dv\), 
                lq = lt/MC[l[\([i]\)], V]; \n
                If[DIV[Denominator[lq]], 
                  a[\([i]\)] = Simplify[a[\([i]\)] + lq]; 
                  p = Simplify[p - lq*l[\([i]\)]]; dv = True, \(i++\)]]; \n
              If[\(! dv\), r = Simplify[r + lt]; p = Simplify[p - lt]]]; {a, 
              r}]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  AutoIndent->False,
  TextAlignment->AlignmentMarker,
  DefaultNaturalLanguage->"Italian",
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["CC",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["CC",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["consente",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["determinare",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["il",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["coefficiente",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["conduttore",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["un",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["polinomio",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                StyleBox[\(Input : \ f\),
                  FontSize->16,
                  FontWeight->"Bold"]}]}], 
            StyleBox[" ",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox["=",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox[" ",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox["polinomio",
              FontSize->16,
              FontWeight->"Bold"]}], 
          StyleBox[";",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontSize->16,
            FontWeight->"Bold"]}], "\n", 
        StyleBox["*)",
          FontSize->16,
          FontWeight->"Bold"]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
       
      StyleBox[\(CC[f_, v_:  Automatic] := 
          Block[{k, i, V}, If[v === Automatic, V = Variables[f]\ , V = v]; \n
            MC = ListOrd[\([2]\)]; k = MC[f, V]; 
            Do[k = k /. V[\([i]\)] -> 1, {i, 1, Length[V]}]; k]\),
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  PageWidth->WindowWidth,
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["TC",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["TC",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["consente",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["determinare",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["il",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["termine",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["conduttore",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["un",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["polinomio",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                RowBox[{
                  StyleBox[
                    RowBox[{"I", 
                      StyleBox["nput",
                        FontSize->16,
                        FontWeight->"Bold"]}]], 
                  StyleBox[":",
                    FontSize->16,
                    FontWeight->"Bold"], 
                  StyleBox[" ",
                    FontSize->16,
                    FontWeight->"Bold"], 
                  StyleBox["f",
                    FontSize->16,
                    FontWeight->"Bold"]}]}]}], 
            StyleBox[" ",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox["=",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox[" ",
              FontSize->16,
              FontWeight->"Bold"], 
            StyleBox["polinomio",
              FontSize->16,
              FontWeight->"Bold"]}], 
          StyleBox[";",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[" ",
            FontSize->16,
            FontWeight->"Bold"], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontSize->16,
            FontWeight->"Bold"]}], "\n", 
        StyleBox["*)",
          FontSize->16,
          FontWeight->"Bold"]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
       
      StyleBox[\(TC[f_, v_:  Automatic] := \n\ \ \ Block[{}, 
            If[v === Automatic, V = Variables[f], V = v]; \n\ \ tc = 
              MC[f, V]/CC[f, V]; tc]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  PageWidth->WindowWidth,
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["MCM",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["MCM",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["consente",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["determinare",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["il",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[\(m . c . m . \ di\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["due",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["termini",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                StyleBox[\(Input : \ expr\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["espressione",
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(MCM[r_, s_, v_] := 
          Block[{i}, \n\ 
            Product[v[\([i]\)]^
                Max[Exponent[r, v[\([i]\)]], Exponent[s, v[\([i]\)]]], {i, 1, 
                Length[v]}]]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["Spol",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["Spol",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["consente",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["determinare",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[\(l'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["S",
                FontSize->16,
                FontWeight->"Bold"]}], 
            StyleBox["-",
              FontSize->16,
              FontWeight->"Bold"], 
            RowBox[{
              StyleBox["polinomio",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["due",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["polinomi",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                StyleBox[\(Input : \ f\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}]}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[",",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          
          StyleBox[\(g\  = \ polinomi; \ 
            v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(Spol[f_, g_, v_:  Automatic] := 
          Block[{}, 
            If[v === Automatic, \n\ V = Union[Variables[f], Variables[g]], 
              V = v]; \n\ ccf = CC[f, V]; ccg = CC[g, V]; tcf = TC[f, V]; 
            tcg = TC[g, V]; \n\ m = MCM[tcf, tcg, V]; 
            Expand[ccg*m*f/tcf - ccf*m*g/tcg]]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            StyleBox["GPr",
              FontFamily->"Courier New",
              FontSize->24,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->RGBColor[0.996109, 0, 0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], "\n", 
            StyleBox[\(L'\),
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["algoritmo",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["GPr",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["consente",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["di",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["determinare",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[\(l'\),
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["insieme",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["di",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["tutte",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["le",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["possibili",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["coppie",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["di",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["elementi",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["distinti",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["di",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["una",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["lista",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            RowBox[{
              StyleBox["data",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[".",
                FontSize->16,
                FontWeight->"Bold"], "\n", "\n", 
              StyleBox[\(Input : \ G\),
                FontFamily->"Courier New",
                FontSize->16]}]}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox["=",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(\(lista\)\(.\)\),
            FontFamily->"Courier New",
            FontSize->16]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(GPr[G_] := 
          Block[{k = {}, i, j}, \n
            For[i = 1, i < Length[G], \(i++\), \n\ 
              k = Union[k, 
                  Table[{G[\([i]\)], G[\([i + j]\)]}, {j, 1, 
                      Length[G] - i}]]]; k]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["BuchbergerTest",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["BuchbergerTest",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["stabilire",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["una",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["data",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["base",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[\(K[X]\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["\[EGrave]",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["una",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["base",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["Groebner",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["o",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["no",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                StyleBox[\(Input : \ G\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(base\ di\ I\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(BuchbergerTest[G_, v_:  Automatic] := 
          Block[{k, a}, \n\ If[v === Automatic, V = Variables[G], V = v]; 
            a = GPr[G]; k = True; \n\ 
            While[\(! a === {}\), b = a[\([1]\)]; 
              s = Spol[b[\([1]\)], b[\([2]\)], V]; \n\ h1 = RidPol[s, G, V]; 
              h = h1[\([2]\)]; 
              If[h === 0, a = Drop[a, {1, 1}], \nk = False; Break[]]]; k]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["Buchberger",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["Buchberger",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["consente",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["calcolare",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["una",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["base",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["Groebner",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["un",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["ideale",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["I",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[\(K[X]\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["data",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["una",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["base",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["I",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                StyleBox[\(Input : \ B\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(base\ di\ I\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(Buchberger[B_, v_:  Automatic] := 
          Block[{G, a, V}, \n\ If[v === Automatic, V = Variables[B], V = v]; 
            a = GPr[B]; G = B; \n\ 
            While[\(! a === {}\), b = a[\([1]\)]; a = Drop[a, {1, 1}]; \n\ 
              s = Spol[b[\([1]\)], b[\([2]\)], V]; h1 = RidPol[s, G, V]; 
              h = h1[\([2]\)]; \n\ 
              If[\(! h === 0\), G = Append[G, h]; a = GPr[G]]]; G]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["BuchbergerBis",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["BuchbergerBis",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["\[EGrave]",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["una",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["riscrittura",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[\(dell'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["Buchberger",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["che",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["mette",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["in",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["evidenza",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[\(l'\),
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["azione",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["tale",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["in",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["ciascuno",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["dei",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["passi",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["intermedi",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["e",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["il",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["numero",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["totale",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["di",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontSize->16,
                FontWeight->"Bold"], 
              RowBox[{
                StyleBox["riduzioni",
                  FontSize->16,
                  FontWeight->"Bold"], 
                StyleBox[".",
                  FontSize->16,
                  FontWeight->"Bold"], "\n", "\n", 
                StyleBox[\(Input : \ B\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(base\ di\ I\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(BuchbergerBis[B_, 
            v_:  Automatic] := \n\ \ \ Block[{G, a, V, passo = 0}, 
            If[v === Automatic, V = Variables[B], V = v]; \n\ \ a = GPr[B]; 
            G = B; \n\ \ \ \ \ While[\(! a === {}\), b = a[\([1]\)]; 
              a = Drop[a, {1, 1}]; 
              s = Spol[b[\([1]\)], b[\([2]\)], V]; \n\ \ \ \ \ \ \ h1 = 
                RidPol[s, G, V]; \(passo++\); 
              h = h1[\([2]\)]; \n\ \ \ \ \ \ If[h === 0, 
                Print["\<Passo\>", "\<  \>", 
                  
                  passo, "\< \>", "\<nessuna aggiunzione\>"]]; \n\ \ \ \ \ \ \
\ If[\(! h === 0\), G = Append[G, h]; 
                a = GPr[G]; \n\ \ \ \ \ \ \ \ Print["\<Passo\>", "\< \>", 
                  passo, "\< \>", \ "\<aggiunto:\>", 
                  h]]]; \n\ \ \ \ Print["\<Numero totale di riduzioni:\>", \
"\<  \>", passo]; G]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["Appartenenza",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold"], 
              StyleBox["Appartenenza",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["stabilire",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["polinomio",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["appartiene",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["o",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["no",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["a",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              RowBox[{
                StyleBox[\(K[X]\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ f\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["polinomio",
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(I\  = \ lista\ dei\ generatori\ dell' ideale\ I\),
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(Appartenenza[f_, I_, v_:  Automatic] := 
          Block[{k = False}, 
            If[v === Automatic, V = Variables[Union[I, {f}]], V = v]; 
            G = Buchberger[I, V]; h1 = RidPol[f, G, V]; h = h1[\([2]\)]; 
            If[h === 0, k = True]; k]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["Eliminazione",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["Eliminazione",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["determinare",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["una",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["base",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["Groebner",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(dell'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[
                StyleBox[
                  RowBox[{"id", 
                    StyleBox["eale",
                      FontWeight->"Bold"]}]],
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["eliminazione",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(K[X]\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["rispetto",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["a",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["insieme",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[
                RowBox[{
                  StyleBox["indeterminate",
                    FontFamily->"Courier New",
                    FontSize->16], 
                  StyleBox[".",
                    FontFamily->"Courier New",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontSlant->"Plain",
                    FontColor->GrayLevel[0],
                    FontVariations->{"Underline"->False,
                    "StrikeThrough"->False}], 
                  StyleBox[" ",
                    FontFamily->"Courier New",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontSlant->"Plain",
                    FontColor->GrayLevel[0],
                    FontVariations->{"Underline"->False,
                    "StrikeThrough"->False}], 
                  StyleBox[\(L'\),
                    FontFamily->"Courier New",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontSlant->"Plain",
                    FontColor->GrayLevel[0],
                    FontVariations->{"Underline"->False,
                    "StrikeThrough"->False}]}],
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["calcola",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["la",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["chiusura",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["Zariski",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["della",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["proiezione",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["una",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox[\(varieta'\),
                  FontFamily->"Courier New",
                  FontSize->16], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16], "\n", "\n", 
                StyleBox[\(Input : \ I\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(lista\ dei\ generatori\ dell' ideale\ I\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(Elim\  = \ lista\ delle\ indeterminate\ da\ eliminare\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(Eliminazione[I_, Elim_, v_:  Automatic] := 
          Block[{F, i}, If[v === Automatic, V = Variables[I], V = v]; 
            Var = Join[Elim, Complement[V, Elim]]; G = Buchberger[I, Var]; 
            F = {}; For[i = 1, i <= Length[G], \(i++\), 
              If[FreeTest[G[\([i]\)], Elim], F = Append[F, G[\([i]\)]]]]; 
            F]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["Indipendenza",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["Indipendenza",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["stabilire",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["insieme",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["indeterminate",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["\[EGrave]",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["indipendente",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["modulo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[\(K[X]\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["o",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              RowBox[{
                StyleBox["no",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ S\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(insieme\ di\ indeterminate\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(I\  = \ lista\ dei\ generatori\ dell' ideale\ I\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(Indipendenza[S_, I_, v_:  Automatic] := 
          Block[{V, k = False}, If[v === Automatic, V = Variables[I], V = v]; 
            Elim = Complement[V, S]; 
            If[Eliminazione[I, Elim, V] === {}, k = True]; k]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["Proprio",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["Proprio",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["stabilire",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["non",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["nullo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(K[X]\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["\[EGrave]",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["proprio",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["o",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox["no",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ I\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[\(lista\ dei\ generatori\ dell' ideale\ I\),
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(Proprio[I_, v_:  Automatic] := 
          Block[{V, k}, 
            If[v === Automatic, V = Variables[I], 
              V = v]; \[IndentingNewLine]G = Buchberger[I, V]; 
            k = \(! Apply[Or, Map[FreeTest[#, V] &, G]]\); k]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["ZeroDimTest",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ZeroDimTest",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["stabilire",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["proprio",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(K[X]\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ha",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["dimensione",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["nulla",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["o",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox["no",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ I\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[\(lista\ dei\ generatori\ dell' ideale\ I\),
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      RowBox[{
        RowBox[{
          StyleBox["ZeroDimTest",
            FontFamily->"Courier New",
            FontSize->16,
            Background->GrayLevel[1]], 
          StyleBox["[",
            FontFamily->"Courier New",
            FontSize->16,
            Background->GrayLevel[1]], 
          StyleBox[\(I_, v_:  Automatic\),
            FontFamily->"Courier New",
            FontSize->16,
            Background->GrayLevel[1]], 
          StyleBox["]",
            FontFamily->"Courier New",
            FontSize->16,
            Background->GrayLevel[1]]}], 
        StyleBox[":=",
          FontFamily->"Courier New",
          FontSize->16,
          Background->GrayLevel[1]], 
        StyleBox[\(Block[{V, l = {}, m, i, j, k = False}, 
            If[v === Automatic, V = Variables[I], 
              V = v]; \[IndentingNewLine]G = Buchberger[I, V]; 
            MC = ListOrd[\([2]\)]; 
            tc = Table[
                Variables[MC[G[\([i]\)], V]], {i, 1, 
                  Length[G]}]; \[IndentingNewLine]For[i = 1, 
              i \[LessEqual] Length[V], \(i++\), 
              m = Drop[V, {i, i}]; \[IndentingNewLine]For[j = 1, 
                j \[LessEqual] Length[G], \(j++\), 
                If[MemberQ[tc[\([j]\)], V[\([i]\)]] && 
                    Apply[And, Map[FreeQ[tc[\([j]\)], #] &, m]], 
                  l = Union[l, {i}]]]]; \[IndentingNewLine]If[
              Length[l] === Length[V], k = True]; k]\),
          FontFamily->"Courier New",
          FontSize->16,
          Background->GrayLevel[1]]}]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["ForteIndip",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ForteIndip",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["stabilire",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["insieme",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["indeterminate",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["\[EGrave]",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["fortemente",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["indipendente",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["modulo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[\(K[X]\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["o",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox["no",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ S\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(insieme\ di\ indeterminate\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(I\  = \ lista\ dei\ generatori\ dell' ideale\ I\),
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(ForteIndip[S_, I_, v_:  Automatic] := 
          Block[{V, k = False}, If[v === Automatic, V = Variables[I], V = v]; 
            G = Buchberger[I, V]; \[IndentingNewLine]tc = 
              Table[TC[G[\([i]\)], V], {i, 1, 
                  Length[G]}]; \[IndentingNewLine]If[\(! Apply[Or, 
                  Map[FreeTest[#, Complement[V, S]] &, tc]]\), k = True]; 
            k]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[{
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox[\(RicDim\  &\),
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["Dimens",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["RicDim",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["\[EGrave]",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["ricorsivo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["che",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["si",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["utilizza",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[\(nell'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[\(Dimens . \nL'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["Dimens",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["consente",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["determinare",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["la",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["dimensione",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["I",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[\(K[X]\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["attraverso",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["la",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["determinazione",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["della",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["dimensione",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["forte",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[\(dell'\),
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["ideale",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              RowBox[{
                StyleBox["I",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ I\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox["  ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(lista\ dei\ generatori\ dell' ideale\ I\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox[\(V\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(RicDim[S_, k_, U_, M_, V_] := 
          Block[{M1 = M, i, j}, 
            Var = Table[
                Variables[S[\([i]\)]], {i, 1, 
                  Length[S]}]; \[IndentingNewLine]For[i = k, 
              i \[LessEqual] Length[V], \(i++\), W = U \[Union] {V[\([i]\)]}; 
              Com = Complement[V, W]; \[IndentingNewLine]If[
                Apply[And, 
                  Table[Apply[Or, Map[MemberQ[Var[\([j]\)], #] &, Com]], {j, 
                      1, Length[Var]}]], 
                M1 = RicDim[S, i + 1, W, M1, V]]]; \[IndentingNewLine]If[
              Apply[And, Map[\(! \((U \[Intersection] # === U)\)\) &, M1]], 
              M1 = M1 \[Union] {U}]; M1]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]], 
      "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
    StyleBox[\(Dimens[I_, V_] := 
        Block[{}, G = Buchberger[I, V]; 
          MC = ListOrd[\([2]\)]; \[IndentingNewLine]T = 
            Table[MC[G[\([i]\)], V], {i, 1, Length[G]}]; 
          M = RicDim[T, 1, {}, {}, V]; \[IndentingNewLine]L = 
            Table[Length[M[\([i]\)]], {i, 1, Length[M]}]; 
          d = Max[L]; {M, d}]\),
      FontFamily->"Courier New",
      FontSize->16,
      Background->GrayLevel[1]]}], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["RiduzTest",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["RiduzTest",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[
                StyleBox[
                  RowBox[{
                    StyleBox["co",
                      FontFamily->"Courier New",
                      FontSize->16], 
                    StyleBox["nsente",
                      FontWeight->"Bold"]}]],
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["stabilire",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["insieme",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["polinomi",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["monici",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["\[EGrave]",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["ridotto",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["o",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox["no",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ P\),
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(insieme\ di\ polinomi\ monici\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(RiduzTest[P_, v_:  Automatic] := 
          Block[{b = False}, 
            If[v === Automatic, V = Variables[P], 
              V = v]; \[IndentingNewLine]Ppr = 
              Table[Drop[P, {i, i}], {i, 1, 
                  Length[P]}]; \[IndentingNewLine]A = 
              Table[\(RidPol[P[\([i]\)], Ppr[\([i]\)], V]\)[\([2]\)], {i, 1, 
                  Length[P]}]; \[IndentingNewLine]If[P === A, b = True]; b]\),
        
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["(*",
          FontSize->16], "\n", 
        RowBox[{
          RowBox[{
            RowBox[{
              StyleBox["Riduzione",
                FontFamily->"Courier New",
                FontSize->24,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], "\n", 
              StyleBox[\(L'\),
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["algoritmo",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["Riduzione",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["riduce",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["un",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["insieme",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["di",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["polinomi",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["se",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["esso",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["non",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["\[EGrave]",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox["gi\[AGrave]",
                FontFamily->"Courier New",
                FontSize->16], 
              StyleBox[" ",
                FontFamily->"Courier New",
                FontSize->16], 
              RowBox[{
                StyleBox["ridotto",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], 
                StyleBox[".",
                  FontFamily->"Courier New",
                  FontSize->16,
                  FontWeight->"Bold",
                  FontSlant->"Plain",
                  FontColor->GrayLevel[0],
                  FontVariations->{"Underline"->False,
                  "StrikeThrough"->False}], "\n", "\n", 
                StyleBox[\(Input : \ P\),
                  FontFamily->"Courier New",
                  FontSize->16]}]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox["=",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16], 
            StyleBox[\(insieme\ di\ polinomi\),
              FontFamily->"Courier New",
              FontSize->16]}], 
          StyleBox[";",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[\(v\  = \ lista\ delle\ \(\(indeterminate\)\(.\)\)\),
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->GrayLevel[0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], "\n", 
        StyleBox["*)",
          FontSize->16]}], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox["\n",
        FontWeight->"Bold"], 
      StyleBox[\(Riduzione[P_, v_:  Automatic] := 
          Block[{Q, j, QPr, h, i, n, V}, 
            If[v === Automatic, V = Variables[P], 
              V = v]; \[IndentingNewLine]n = Length[P]; Q = P; 
            While[n > 1 && RiduzTest[Q, V] === False, 
              i = 1; \[IndentingNewLine]While[i \[LessEqual] n, 
                QPr = Drop[Q, {i, i}]; 
                h1 = RidPol[Q[\([i]\)], QPr, V]; \[IndentingNewLine]h = 
                  h1[\([2]\)]; 
                If[h === 0, Q = QPr; \(n--\), 
                  Q[\([i]\)] = h; \(i++\)]]; \[IndentingNewLine]Q = 
                Table[Simplify[Q[\([j]\)]/CC[Q[\([j]\)], V]], {j, 1, n}]]; 
            Q]\),
        FontFamily->"Courier New",
        FontSize->16,
        Background->GrayLevel[1]]}]], "Input",
  TextAlignment->AlignmentMarker,
  Background->GrayLevel[0.900008]],

Cell[BoxData[
    RowBox[{
      StyleBox["(*",
        FontFamily->"Courier New",
        FontSize->16], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Courier New",
        FontSize->16], 
      RowBox[{
        RowBox[{
          StyleBox[
            RowBox[{
              StyleBox["N",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[0.996109, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["ota",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->RGBColor[1, 0, 0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}]}]], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontColor->RGBColor[0.996109, 0, 0]], 
          StyleBox["Bene",
            FontFamily->"Courier New",
            FontSize->16,
            FontColor->RGBColor[0.996109, 0, 0]], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->RGBColor[0.996109, 0, 0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}], 
          StyleBox["1",
            FontFamily->"Courier New",
            FontSize->16,
            FontWeight->"Bold",
            FontSlant->"Plain",
            FontColor->RGBColor[0.996109, 0, 0],
            FontVariations->{"Underline"->False,
            "StrikeThrough"->False}]}], 
        StyleBox[":",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        StyleBox[" ",
          FontFamily->"Courier New",
          FontSize->16,
          FontWeight->"Bold",
          FontSlant->"Plain",
          FontColor->GrayLevel[0],
          FontVariations->{"Underline"->False,
          "StrikeThrough"->False}], 
        RowBox[{
          RowBox[{
            StyleBox["applicare",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(l'\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["algoritmo",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["Riduzione",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["a",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["un",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["insieme",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["di",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["polinomi",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["in",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["una",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["sola",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["  ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["indeterminata",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["equivale",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["a",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["calcolare",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["il",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[\(M . C . D . \ di\),
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["tali",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["polinomi",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["con",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["il",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["metodo",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["delle",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["divisioni",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["successive",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["di",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->GrayLevel[0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            RowBox[{
              StyleBox["Euclide",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[".",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["\[IndentingNewLine]",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["\[IndentingNewLine]",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox["\[IndentingNewLine]",
                FontFamily->"Courier New",
                FontSize->16,
                FontWeight->"Bold",
                FontSlant->"Plain",
                FontColor->GrayLevel[0],
                FontVariations->{"Underline"->False,
                "StrikeThrough"->False}], 
              StyleBox[
                RowBox[{
                  StyleBox["N",
                    FontFamily->"Courier New",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontSlant->"Plain",
                    FontColor->RGBColor[0.996109, 0, 0],
                    FontVariations->{"Underline"->False,
                    "StrikeThrough"->False}], 
                  StyleBox["ota",
                    FontFamily->"Courier New",
                    FontSize->16,
                    FontWeight->"Bold",
                    FontSlant->"Plain",
                    FontColor->RGBColor[1, 0, 0],
                    FontVariations->{"Underline"->False,
                    "StrikeThrough"->False}]}]]}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->RGBColor[0.996109, 0, 0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["Bene",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->RGBColor[0.996109, 0, 0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox[" ",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->RGBColor[0.996109, 0, 0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}], 
            StyleBox["1",
              FontFamily->"Courier New",
              FontSize->16,
              FontWeight->"Bold",
              FontSlant->"Plain",
              FontColor->RGBColor[0.996109, 0, 0],
              FontVariations->{"Underline"->False,
              "StrikeThrough"->False}]}], 
          StyleBox[":",
            FontFamily->"Courier New",
            FontSize->16], 
          StyleBox[" ",
            FontFamily->"Courier New",
            FontSize->16], 
          
          StyleBox[\(applicare\ l' 
              algoritmo\ Riduzione\ a\ un\ insieme\ di\ polinomi\ di\ primo\ \
grado\ equivale\ a\ risolvere\ il\ sistema\ che\ si\ ottiene\ uguagliando\ a\ \
zero\ tali\ polinomi\ con\ il\ metodo\ di\ eliminazione\ di\ \(\(Gauss\)\(.\)\
\)\),
            FontFamily->"Courier New",
            FontSize->16]}]}], 
      StyleBox["\[IndentingNewLine]",
        FontFamily->"Courier New",
        FontSize->16], 
      StyleBox["*)",
        FontFamily->"Courier New",
        FontSize->16]}]], "Input",
  PageWidth->WindowWidth,
  CellMargins->{{Inherited, 0}, {Inherited, Inherited}},
  CellSize->{436, Inherited},
  TextAlignment->AlignmentMarker,
  TextJustification->0,
  Background->GrayLevel[0.900008]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 800}, {0, 513}},
ScreenStyleEnvironment->"Working",
PrintingStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{792, 479},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
StyleDefinitions -> "Default.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 1427, 50, 557, "Input"],
Cell[3147, 101, 946, 35, 437, "Input"],
Cell[4096, 138, 19892, 621, 1039, "Input"],
Cell[23991, 761, 1287, 36, 677, "Input"],
Cell[25281, 799, 9353, 305, 369, "Input"],
Cell[34637, 1106, 12018, 335, 509, "Input"],
Cell[46658, 1443, 4951, 145, 310, "Input"],
Cell[51612, 1590, 5557, 152, 350, "Input"],
Cell[57172, 1744, 9826, 269, 250, "Input"],
Cell[67001, 2015, 12172, 349, 189, "Input"],
Cell[79176, 2366, 11456, 302, 490, "Input"],
Cell[90635, 2670, 4139, 122, 249, "Input"],
Cell[94777, 2794, 4527, 134, 249, "Input"],
Cell[99307, 2930, 3808, 113, 229, "Input"],
Cell[103118, 3045, 3958, 117, 273, "Input"],
Cell[107079, 3164, 5536, 166, 249, "Input"],
Cell[112618, 3332, 10517, 292, 313, "Input"],
Cell[123138, 3626, 7894, 225, 293, "Input"],
Cell[131035, 3853, 9768, 276, 433, "Input"],
Cell[140806, 4131, 12927, 338, 293, "Input"],
Cell[153736, 4471, 13758, 375, 370, "Input"],
Cell[167497, 4848, 16630, 432, 313, "Input"],
Cell[184130, 5282, 6706, 186, 273, "Input"],
Cell[190839, 5470, 7516, 207, 410, "Input"],
Cell[198358, 5679, 8616, 236, 353, "Input"],
Cell[206977, 5917, 25401, 649, 471, "Input"],
Cell[232381, 6568, 7529, 205, 290, "Input"],
Cell[239913, 6775, 6090, 165, 310, "Input"],
Cell[246006, 6942, 22614, 610, 306, "Input"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

